Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358165 (zendframework/zend-xml2json)

Summary: Review Request: php-zendframework-zend-xml2json - Provides functionality for converting XML to JSON
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Shawn Iwinski <shawn>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, shawn
Target Milestone: ---Flags: shawn: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-30 17:18:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1357393    
Attachments:
Description Flags
phpcompatinfo-full.log
none
phpcompatinfo-lib.log
none
fedora-review.txt none

Comment 1 Shawn Iwinski 2016-11-27 23:08:58 UTC
Created attachment 1225026 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 2 Shawn Iwinski 2016-11-27 23:09:24 UTC
Created attachment 1225027 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 3 Shawn Iwinski 2016-11-27 23:10:38 UTC
Created attachment 1225028 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358165
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-11-27 23:11:40 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-11-28 05:29:52 UTC
Thanks

New package requested.

Comment 6 Gwyn Ciesla 2016-11-28 14:35:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-xml2json

Comment 7 Remi Collet 2016-11-30 17:18:25 UTC
Package:    php-zendframework-zend-xml2json-3.0.0-1.fc26
Status:     complete